---
apiVersion: cilium.io/v2
kind: CiliumNetworkPolicy
metadata:
  name: netbox-egress
spec:
  endpointSelector:
    matchLabels:
      io.cilium.k8s.policy.serviceaccount: netbox
  egress:
    - toEndpoints:
        - matchLabels:
            io.cilium.k8s.policy.serviceaccount: coredns
            io.kubernetes.pod.namespace: kube-system
      toPorts:
        - ports:
            - port: '53'
              protocol: ANY
          rules:
            dns:
              - matchPattern: '*'
    - toEndpoints:
        - matchLabels:
            io.cilium.k8s.policy.serviceaccount: smtprelay
            io.kubernetes.pod.namespace: smtprelay
      toPorts:
        - ports:
            - port: '2525'
              protocol: TCP
    - toEndpoints:
        - matchLabels:
            io.cilium.k8s.policy.serviceaccount: postgresql
            io.kubernetes.pod.namespace: postgresql
      toPorts:
        - ports:
            - port: '5432'
              protocol: TCP
    - toEndpoints:
        - matchLabels:
            io.cilium.k8s.policy.serviceaccount: rke2-ingress-nginx
            io.kubernetes.pod.namespace: kube-system
      toPorts:
        - ports:
            - port: '443'
              protocol: TCP
    - toEndpoints:
        - matchLabels:
            io.cilium.k8s.policy.serviceaccount: valkey
      toPorts:
        - ports:
            - port: '6379'
              protocol: TCP
            - port: '26379'
              protocol: TCP
    - toEndpoints:
        - matchLabels:
            io.cilium.k8s.policy.serviceaccount: otel-collector-exporter
            io.kubernetes.pod.namespace: otel-collector
      toPorts:
        - ports:
            - port: '4317'
              protocol: TCP
    - toEntities:
        - world
      toPorts:
        - ports:
            - port: '80'
              protocol: TCP
            - port: '443'
              protocol: TCP
